%global rosdistro fuerte
%global stackname ros
%global gitrev f0fdb1e

Name:           ros-%{rosdistro}-%{stackname}
Version:        1.8.10
Release:        2%{?dist}
Summary:        ROS Core

License:        BSD
URL:            http://ros.org/
# svn export http://code.ros.org/svn/ros/stacks/ros/tags/ros-1.8.10 ros-1.8.10
# tar cjf ros-1.8.10.tar.bz2 ros-1.8.10/
Source0:        ros-%{version}.tar.bz2
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  gtest-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-rospack-devel

%description
ROS is a meta-operating system for your robot.  It provides language-
independent and network-transparent communication for a distributed 
robot control system.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
%{summary}.

%prep
%setup -q -n %{stackname}-%{version}

%build
source /opt/ros/%{rosdistro}/setup.sh
mkdir build
pushd build
%cmake -DCMAKE_INSTALL_PREFIX=/opt/ros/%{rosdistro} -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
/opt/ros/%{rosdistro}/bin/*
/opt/ros/%{rosdistro}/etc/catkin/profile.d/*
/opt/ros/%{rosdistro}/lib/*.so
%exclude /opt/ros/%{rosdistro}/share/*/cmake/
/opt/ros/%{rosdistro}/share/%{stackname}
/opt/ros/%{rosdistro}/share/rosbash
/opt/ros/%{rosdistro}/share/roscreate
/opt/ros/%{rosdistro}/share/rosboost_cfg
/opt/ros/%{rosdistro}/share/rosclean
/opt/ros/%{rosdistro}/share/roslang
/opt/ros/%{rosdistro}/share/roslib
/opt/ros/%{rosdistro}/share/rosmake
/opt/ros/%{rosdistro}/share/rosunit
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/*

%files devel
/opt/ros/%{rosdistro}/include/%{stackname}
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/share/*/cmake/

%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 1.8.10-2
- Rebuild for new copr

* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 1.8.10-1
- Initial fuerte package

